var config = {
    labelWidth: '100px',
    columnNum: 1,//一行几列
    fields: [
        {
            groupTitle: "基本信息",//分组标题
            children: [
                {
                    label: "姓名",
                    id: "name",
                    type: 'text',
                    required: true,
                    // readonly: true
                },
                {
                    label: "描述",
                    id: "des",
                    type: 'textarea',
                    rows: 5,
                    placeholder: "ddd",
                    clearable: true
                },
                {
                    label: "出生日期",
                    id: "birthday",
                    type: 'date',
                    clearable: false,
                    rules: [{required: true,trigger: 'blur',message: '该项必填'}, { min: 10, message: `病情描述说明字数不得少于10个字！`, trigger: 'blur' }]
                },
                //待实现
                // {
                //     label: "当前时间",
                //     id: "birthday1",
                //     type: 'datetime',
                // },
                {
                    label: "工作时间",
                    id: "worktime",
                    type: 'daterange',
                },
                {
                    label: "性别",
                    id: "sex",
                    type: 'select',
                    optionList: []
                    // optionList: [
                    //     {label:"男", value: 1},
                    //     {label:"女", value: 2}
                    // ]
                },
                {
                    label: "头像",
                    id: "photo",
                    type: 'photo',
                    // required: true,
                },
                {
                    label: "图片墙",
                    id: "imgList",
                    type: 'photo',
                    // required: true,
                    multiple: true,
                    'list-type':"picture-card"
                }
            ],
        },
        {
            groupTitle: "基本信息2",//分组标题
            children: [{
                label: "姓名2",
                id: "name2",
                type: 'richtext',
            }],
        },
        // {
        //     label: "姓名",
        //     id: "name",
        //     type: 'text',
        //     placeholder: "aa"
        // },
        // {
        //     label: "手机号码",
        //     id: "mobile",
        //     type: 'text',
        //     placeholder: "aa"
        // }
    ],
}

export {config}